<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<mat-card id="testDeploymentSummaryCard" class="site-card">
  <mat-card-header class="site-card-test">
    <mat-card-title class="site-name">
      {{'deployment-summary.test.name' | translate | uppercase}}
    </mat-card-title>
  </mat-card-header>
  <mat-card-content fxLayout="row wrap">
    <!-- status messages -->
    <div fxLayout fxLayoutGap="1rem" class="site-info italic">
      <mat-icon fxFlexAlign="center" *ngIf="testStatusIcon">
        {{testStatusIcon}}
      </mat-icon>

      <span id="testStatusMessage" fxFlexAlign="center" [class.site-error]="isTestStatusInError">
            {{inTestStatusMessage}}
          </span>
    </div>

    <!-- site access links -->
    <div *ngIf="displayLinks" fxLayout fxFill fxLayoutAlign="end">
      <mat-divider></mat-divider>
      <button color="primary" *ngIf="isTestSiteAccessible" (click)="goToVoteReceiver" mat-button>
        <mat-icon>language</mat-icon>
        {{'deployment-summary.test.link.site' | translate | uppercase}}
      </button>
      <test-site-cards-download-button *ngIf="userBelongsToOperationManagementEntity"
                                       [operation]="operation"></test-site-cards-download-button>
    </div>
  </mat-card-content>
</mat-card>
